Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGSVGElement

All Superinterfaces:
  AbstractView, DocumentCSS, DocumentEvent, DocumentStyle, Element, EventTarget, Node, SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGLangSpace, SVGLocatable, SVGStylable, SVGTests, SVGZoomAndPan, ViewCSS

public interface SVGSVGElement
extends SVGElement, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, SVGLocatable, SVGFitToViewBox, SVGZoomAndPan, EventTarget, DocumentEvent, ViewCSS, DocumentCSS

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.svg.SVGZoomAndPan
`SVG_ZOOMANDPAN_DISABLE, SVG_ZOOMANDPAN_MAGNIFY, SVG_ZOOMANDPAN_UNKNOWN`

Method Summary
`boolean` | `animationsPaused()`
`boolean` | `checkEnclosure(SVGElement element, SVGRect rect)`
`boolean` | `checkIntersection(SVGElement element, SVGRect rect)`
`SVGAngle` | `createSVGAngle()`
`SVGLength` | `createSVGLength()`
`SVGMatrix` | `createSVGMatrix()`
`SVGNumber` | `createSVGNumber()`
`SVGPoint` | `createSVGPoint()`
`SVGRect` | `createSVGRect()`
`SVGTransform` | `createSVGTransform()`
`SVGTransform` | `createSVGTransformFromMatrix(SVGMatrix matrix)`
`void` | `deselectAll()`
`void` | `forceRedraw()`
`java.lang.String` | `getContentScriptType()`
`java.lang.String` | `getContentStyleType()`
`float` | `getCurrentScale()`
`float` | `getCurrentTime()`
`SVGPoint` | `getCurrentTranslate()`
`SVGViewSpec` | `getCurrentView()`
`Element` | `getElementById(java.lang.String elementId)`
`NodeList` | `getEnclosureList(SVGRect rect, SVGElement referenceElement)`
`SVGAnimatedLength` | `getHeight()`
`NodeList` | `getIntersectionList(SVGRect rect, SVGElement referenceElement)`
`float` | `getPixelUnitToMillimeterX()`
`float` | `getPixelUnitToMillimeterY()`
`float` | `getScreenPixelToMillimeterX()`
`float` | `getScreenPixelToMillimeterY()`
`boolean` | `getUseCurrentView()`
`SVGRect` | `getViewport()`
`SVGAnimatedLength` | `getWidth()`
`SVGAnimatedLength` | `getX()`
`SVGAnimatedLength` | `getY()`
`void` | `pauseAnimations()`
`void` | `setContentScriptType(java.lang.String contentScriptType)`
`void` | `setContentStyleType(java.lang.String contentStyleType)`
`void` | `setCurrentScale(float currentScale)`
`void` | `setCurrentTime(float seconds)`
`void` | `setUseCurrentView(boolean useCurrentView)`
`int` | `suspendRedraw(int max_wait_milliseconds)`
`void` | `unpauseAnimations()`
`void` | `unsuspendRedraw(int suspend_handle_id)`
`void` | `unsuspendRedrawAll()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.svg.SVGLocatable
`getBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getScreenCTM, getTransformToElement`

Methods inherited from interface org.w3c.dom.svg.SVGFitToViewBox
`getPreserveAspectRatio, getViewBox`

Methods inherited from interface org.w3c.dom.svg.SVGZoomAndPan
`getZoomAndPan, setZoomAndPan`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Methods inherited from interface org.w3c.dom.events.DocumentEvent
`createEvent`

Methods inherited from interface org.w3c.dom.css.ViewCSS
`getComputedStyle`

Methods inherited from interface org.w3c.dom.views.AbstractView
`getDocument`

Methods inherited from interface org.w3c.dom.css.DocumentCSS
`getOverrideStyle`

Methods inherited from interface org.w3c.dom.stylesheets.DocumentStyle
`getStyleSheets`

Method Detail

### getX

    public SVGAnimatedLength getX()

### getY

    public SVGAnimatedLength getY()

### getWidth

    public SVGAnimatedLength getWidth()

### getHeight

    public SVGAnimatedLength getHeight()

### getContentScriptType

    public java.lang.String getContentScriptType()

### setContentScriptType

    public void setContentScriptType(java.lang.String contentScriptType)
                              throws DOMException

### getContentStyleType

    public java.lang.String getContentStyleType()

### setContentStyleType

    public void setContentStyleType(java.lang.String contentStyleType)
                             throws DOMException

### getViewport

    public SVGRect getViewport()

### getPixelUnitToMillimeterX

    public float getPixelUnitToMillimeterX()

### getPixelUnitToMillimeterY

    public float getPixelUnitToMillimeterY()

### getScreenPixelToMillimeterX

    public float getScreenPixelToMillimeterX()

### getScreenPixelToMillimeterY

    public float getScreenPixelToMillimeterY()

### getUseCurrentView

    public boolean getUseCurrentView()

### setUseCurrentView

    public void setUseCurrentView(boolean useCurrentView)
                           throws DOMException

### getCurrentView

    public SVGViewSpec getCurrentView()

### getCurrentScale

    public float getCurrentScale()

### setCurrentScale

    public void setCurrentScale(float currentScale)
                         throws DOMException

### getCurrentTranslate

    public SVGPoint getCurrentTranslate()

### suspendRedraw

    public int suspendRedraw(int max_wait_milliseconds)

### unsuspendRedraw

    public void unsuspendRedraw(int suspend_handle_id)
                         throws DOMException

### unsuspendRedrawAll

    public void unsuspendRedrawAll()

### forceRedraw

    public void forceRedraw()

### pauseAnimations

    public void pauseAnimations()

### unpauseAnimations

    public void unpauseAnimations()

### animationsPaused

    public boolean animationsPaused()

### getCurrentTime

    public float getCurrentTime()

### setCurrentTime

    public void setCurrentTime(float seconds)

### getIntersectionList

    public NodeList getIntersectionList(SVGRect rect,
                                        SVGElement referenceElement)

### getEnclosureList

    public NodeList getEnclosureList(SVGRect rect,
                                     SVGElement referenceElement)

### checkIntersection

    public boolean checkIntersection(SVGElement element,
                                     SVGRect rect)

### checkEnclosure

    public boolean checkEnclosure(SVGElement element,
                                  SVGRect rect)

### deselectAll

    public void deselectAll()

### createSVGNumber

    public SVGNumber createSVGNumber()

### createSVGLength

    public SVGLength createSVGLength()

### createSVGAngle

    public SVGAngle createSVGAngle()

### createSVGPoint

    public SVGPoint createSVGPoint()

### createSVGMatrix

    public SVGMatrix createSVGMatrix()

### createSVGRect

    public SVGRect createSVGRect()

### createSVGTransform

    public SVGTransform createSVGTransform()

### createSVGTransformFromMatrix

    public SVGTransform createSVGTransformFromMatrix(SVGMatrix matrix)

### getElementById

    public Element getElementById(java.lang.String elementId)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD